:- use_module(library(system)).

main :-
        open('YN1OS1_YS1ON1.test',write,W),
	gen(W),
        close(W).

gen(W) :-
        ext(G),
        G, %execute goal
        format(W,'~q.~n',[G]),
        fail. %to baktrack. Repeat fail loop
gen(_). %so that we succeed at the very end.

ext(['~/bin/aleph']).
ext(read_all(invasive)).
ext(induce).
ext(try(_,_,_)).

%returns the file name, nb covered, total
try(F,C1,T1) :-
	fl(F),
	test(F,noshow,C1,T1).

fl('YN.0').
fl('YS.0').
fl('YN.1').
fl('YS.1').
fl('ON.0').
fl('OS.0').
fl('ON.1').
fl('OS.1').


:- main.

